Subject: Re: bug#10754: define-minor-mode and doc of derived mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 20 Jun 2018 17:55:38 -0400

>> I think in the long term (asymptotically), the arg is unneeded.
>> But if we add the arg, the long term will be that *all* calls will use
>> the arg, so we'll never be able to get rid of it.
> I'm worried about minor modes that don't even mention the argument.

I suspect that it's a misfeature which would be fixed by always adding
that paragraph.

> Not sure if that should be a concern since they should be documenting the
> ARG in the first place.

Exactly.

> I can provide examples, but the Emacs codebase has a few of those.

The only problematic case would be if adding this paragraph would be harmful.

        Stefan